NSEND(1)

NAME
nsend - Send messages to users or groups

SYNOPSIS
nsend [ -h ] [ -S server ] [ -U user name ] [ -P password | -n ] [ -C ] [ -a ] -i objectID | -c connNum[,...] | { [ -t recipient type ] -o recipient name | recipient name } message

DESCRIPTION
With nsend, you can send messages to the user's workstations. nsend looks up the file $HOME/.nwclient to find a file server, a user name and possibly a password. See nwclient(5) for more information. Please note that the access permissions of .nwclient MUST be 0600, for security reasons.

OPTIONS
recipient name
    recipient name is either the NetWare name of the user to receive the message or the name of an existing user group on that server. You can use wildcards in this specification.
-o recipient name
    Specifies recipient's name. This can specify user or group.
-t recipent type
    Specifies recipient's type.
-c connNum[,...]
    Specifies connection numbers of recipients. You can use this option as workaround to deliver messages to directory services users.
-i userID
    Specifies recipient's object ID. You can use this option as workaround to deliver messages to directory services users.
message
    message is the message to be sent. Please note that this has to be a single command line argument. If you want to send a message that contains spaces, you have to quote them on the command line. For example, to annoy your system administrator, you should try
       nsend supervisor 'I know how this works!'

    Program first searches (wildcards allowed) bindery with recipients name and type. If user is found, message is sent to this user, if group is found, message is sent to this group. Other object types are ignored. If no suitable object was found in this phase, connection list for specified object is retrieved (no wildcards allowed) and message is sent to this object (including print servers and so on). No expansions on group is done this time.
-a
    By default, nsend prepends 'From ....' text to message. You can suppress this by adding -a to command line.
-S server
    server is the name of the server you want to use.
-U user name
    If the user name your NetWare administrator gave to you differs from your unix user-id, you should use -U to tell the server about your NetWare user name.
-P password
    You may want to give the password required by the server on the command line. You should be careful about using passwords in scripts.
-n
    -n should be given if specified user does not have password. If neither -n nor -P are given, nsend prompts for a password.
-C
    By default, passwords are converted to uppercase before they are sent to the server, because most servers require this. You can turn off this conversion by -C.

BUGS
Directory services connection are not supported yet.
Options -c, -i and -o cannot be used together.
If user is specified multiple times (using wildcards in group specification or by repeating same number in -c), message is delivered multiple times to him.

SEE ALSO
nwclient(5), nprint(1), slist(1), ncpmount(8), ncpumount(8)

CREDITS
nsend was written by looking at mars_nwe's message handling. Thanks to Martin Stover <mstover@freeway.de>.
Support for Netware groups by Philippe Andersson <philippe_andersson@ste.scitex.com>.
Support for connections greater than 255 by Petr Vandrovec <vandrove@vc.cvut.cz>.